% مراجع خود را در این قسمت وارد کنید.
% دستوری برای کوچک کردن اندازه فونت‌ها 
\small
% شروع محیط مراجع 
\renewcommand{\bibname}{مراجع انگلیسی}
\setLTRbibitems
\begin{thebibliography}{99}
\resetlatinfont
% تذکر: چنانچه از نسخه‌های قدیمی زی‌پرشین و بی‌دی استفاده می‌کنید، هنگام استفاده از سه دستور بالا، با خطا 
% مواجه می‌شوید. بنابراین باید زی‌پرشین و بی‌دی خود را آپدیت کنید.
% چنانچه مرجع فارسی هم دارید باید یا از بسته Persian-bib استفاده کنید و یا راهنمای bidi را مطالعه کنید.

\bibitem{comproto}
Kimchi, Gur, et al. "Communications protocol." U.S. Patent Application No. 09/867,371.

\bibitem{xmlrpc}
Merrick, Phillip, Stewart Allen, and Joseph Lapp. "XML remote procedure call (XML-RPC)." U.S. Patent No. 7,028,312. 11 Apr. 2006.

\bibitem{jsonrpc}
Li, Dexian, Gehao Lu, and Shaowen Yao. "The Analysis Extension and Application of JSON-RPC Protocol." Sciencepaper Online 2 (2008).

\bibitem{andrews}
Andrews, Gregory R. Foundations of multithreaded, parallel, and distributed programming. Vol. 11. Reading: Addison-Wesley, 2000.

\bibitem{paralg}
Hockney, Roger W., and Chris R. Jesshope. Parallel Computers 2: architecture, programming and algorithms. CRC Press, 2019.

\bibitem{dis}
Peleg, David. "Distributed computing." SIAM Monographs on discrete mathematics and applications 5 (2000): 1-1.

\bibitem{soap}
Curbera, Francisco, et al. "Unraveling the Web services web: an introduction to SOAP, WSDL, and UDDI." IEEE Internet computing 6.2 (2002): 86-93.

\bibitem{corba}
Frantz, Dan. CORBA 3 fundamentals and programming. Ed. Jon Siegel. Vol. 2. New York, NY, USA:: John Wiley \& Sons, 2000.

\bibitem{corba 2}
Idri, Abdelfettah, and Azedine Boulmakoul. "A Parallel Distributed Galois Lattice Approach for Data Mining Based on a CORBA Infrastructure." Intelligent Computing-Proceedings of the Computing Conference. Springer, Cham, 2019.

\bibitem{fms}
Sanders, William. Learning flash media server 3. " O'Reilly Media, Inc.", 2008.

\bibitem{xml}
Bray, Tim, et al. "Extensible markup language (XML) 1.0." (2000): 2000-10.

\bibitem{isocpp}
Ansel Sermersheim-Adrien Hamelin-Adrien Hamelin-Adrien Hamelin-Adrien Hamelin-Adrien Hamelin-Adrien Hamelin-Adrien Hamelin-Peter Gottschling- TartanLlama-Andrey Karpov-Andrey Karpov-Matthias Gehre-Timur Doumler-Adrien Hamelin - https://isocpp.org/

\bibitem{jsonmime}
Crockford, Douglas. "The application/json media type for javascript object notation (json)." (2006).

\bibitem{json}
Shin, Sang. "Introduction to json (javascript object notation)." Presentation www. javapassion. com (2010).

\bibitem{qtbook}
Eng, Lee Zhi. Qt5 C++ GUI Programming Cookbook: Practical recipes for building cross-platform GUI applications, widgets, and animations with Qt 5. Packt Publishing Ltd, 2019.

\bibitem{nobelwcf}
Venkatesan, D., and S. Sridhar. "A Novel Web Services Infrastructure Leveraging Agent Oriented Middleware Environment for Realizing Agent Oriented Information System Models." International Conference on Practical Applications of Agents and Multi-Agent Systems. Springer, Cham, 2018.

\bibitem{sowcf}
Zhang, Wei, and Guixue Cheng. "A service-oriented distributed framework-WCF." 2009 International Conference on Web Information Systems and Mining. IEEE, 2009.

\bibitem{opencv}
Bradski, Gary, and Adrian Kaehler. Learning OpenCV: Computer vision with the OpenCV library. " O'Reilly Media, Inc.", 2008.

\bibitem{selfie dataset}
Kalayeh, Mahdi M and Seifu, Misrak and LaLanne, Wesna and Shah, Mubarak, Proceedings of the 23rd Annual ACM Conference on Multimedia Conference, ACM, 2015

\bibitem{datamining cpp}
Masters, Timothy. "Data Mining Algorithms in C++." Apress, New York (2018).

\bibitem{com}
Charisius, Dietrich, and Alexander Aptus. "Methods and systems for accessing distributed computing components through the internet." U.S. Patent No. 9,916,134. 13 Mar. 2018.

\bibitem{dc workload}
Van Heuklon, Andrew T., and Jeffery J. Van Heuklon. "Transferring workloads between computing devices in a distributed computing system." U.S. Patent Application No. 10/187,320.

\bibitem{Fog computing}
Mahmud, Redowan, Ramamohanarao Kotagiri, and Rajkumar Buyya. "Fog computing: A taxonomy, survey and future directions." Internet of everything. Springer, Singapore, 2018. 103-130.

\bibitem{rmi}
Pitt, Esmond, and Kathy McNiff. Java. rmi: The Remote Method Invocation Guide. Addison-Wesley Longman Publishing Co., Inc., 2001.

\bibitem{wcf}
Lowy, Juval. Programming WCF services. " O'Reilly Media, Inc.", 2007.

\bibitem{Tanenbaum DA}
Tanenbaum, Andrew S., and Maarten Van Steen. Distributed systems: principles and paradigms. Prentice-Hall, 2007.

\end{thebibliography}
